# Uses of Interface
org.eclipse.emf.cdo.view.CDOView

Packages that use CDOView
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.compare
Client concepts for integrating EMF Compare with CDO.
org.eclipse.emf.cdo.explorer.checkouts
Interfaces for working with `checkouts`.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.provider
The generated EMF edit support of the CDO security model.
org.eclipse.emf.cdo.security.ui
Concepts and default implementations for the CDO security user interface.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.transfer.spi.repository
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.ui.compare
Classes that help to open EMF Compare user interfaces on CDO models.
org.eclipse.emf.cdo.ui.widgets
A library with reusable widgets.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOView in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOObject.`cdoView()`
Returns the `view` this object is associated with, or `null` if this object is not associated with a view.

## Uses of CDOView in org.eclipse.emf.cdo.compare

Methods in org.eclipse.emf.cdo.compare with parameters of type CDOView
Modifier and Type
Method
Description
`protected void`
CDOComparisonScope.Minimal.`collectRequiredParentID(CDOView view, CDOID id, Set<CDOID> requiredParentIDs)`
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOObject left, CDOView rightView, CDOView[] originView)`
Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOObject left, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOView leftView, CDOView rightView, CDOView[] originView)`
Takes a `view`/`transaction` and returns `matches` only for the changed elements of the entire content tree of its `root resource`.
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids)`
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids, CDOViewOpener viewOpener)`
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
Takes a `view`/`transaction` and returns `matches` only for the changed elements of the entire content tree of its `root resource`.
`static CDOComparisonScope.AllContents`
CDOComparisonScope.AllContents.`create(CDOObject left, CDOView rightView, CDOView[] originView)`
Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
`static CDOComparisonScope.AllContents`
CDOComparisonScope.AllContents.`create(CDOObject left, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
`static org.eclipse.emf.compare.scope.IComparisonScope`
CDOComparisonScope.Minimal.`create(CDOView leftView, CDOView rightView, CDOView[] originView)`
`static org.eclipse.emf.compare.scope.IComparisonScope`
CDOComparisonScope.Minimal.`create(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids)`
`static org.eclipse.emf.compare.scope.IComparisonScope`
CDOComparisonScope.Minimal.`create(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids, CDOViewOpener viewOpener)`
`static org.eclipse.emf.compare.scope.IComparisonScope`
CDOComparisonScope.Minimal.`create(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
Constructors in org.eclipse.emf.cdo.compare with parameters of type CDOView
Modifier
Constructor
Description
``
`Minimal(CDOView leftView, CDOView rightView, CDOView originView, Set<CDOID> ids)`

## Uses of CDOView in org.eclipse.emf.cdo.explorer.checkouts

Methods in org.eclipse.emf.cdo.explorer.checkouts that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOCheckout.`getView()`
`CDOView[]`
CDOCheckout.`getViews()`
`CDOView`
CDOCheckout.`openView()`
`CDOView`
CDOCheckout.`openView(boolean readOnly)`
`CDOView`
CDOCheckout.`openView(boolean readOnly, ResourceSet resourceSet)`
`CDOView`
CDOCheckout.`openView(ResourceSet resourceSet)`
Methods in org.eclipse.emf.cdo.explorer.checkouts with parameters of type CDOView
Modifier and Type
Method
Description
`CDOCheckout`
CDOCheckoutManager.`getCheckout(CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return types with arguments of type CDOView
Modifier and Type
Method
Description
`Map<String,CDOView>`
ISystemDescriptor.`configureModuleResourceSet(CDOView view)`
`Map<String,CDOView>`
ISystemDescriptor.`configureModuleResourceSet(ResourceSet resourceSet, Assembly assembly)`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type CDOView
Modifier and Type
Method
Description
`Map<String,CDOView>`
ISystemDescriptor.`configureModuleResourceSet(CDOView view)`
`ModuleDefinition`
ISystemDescriptor.`extractModuleDefinition(CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.net4j

Methods in org.eclipse.emf.cdo.net4j that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDONet4jViewProvider.`getView(URI uri, ResourceSet resourceSet)`
Methods in org.eclipse.emf.cdo.net4j with parameters of type CDOView
Modifier and Type
Method
Description
`URI`
CDONet4jViewProvider.`getResourceURI(CDOView view, String path)`

## Uses of CDOView in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl that return CDOView
Modifier and Type
Method
Description
`protected CDOView`
ObjectFilterImpl.`getView(CDORevisionProvider revisionProvider)`
`protected CDOView`
ObjectPermissionImpl.`getView(CDORevisionProvider revisionProvider)`
Deprecated.

## Uses of CDOView in org.eclipse.emf.cdo.security.provider

Methods in org.eclipse.emf.cdo.security.provider with parameters of type CDOView
Modifier and Type
Method
Description
`static List<EClass>`
SecurityEditPlugin.`getSortedClasses(CDOView view)`
`static List<EPackage>`
SecurityEditPlugin.`getSortedPackages(CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.security.ui

Methods in org.eclipse.emf.cdo.security.ui that return CDOView
Modifier and Type
Method
Description
`CDOView`
ISecurityManagementContext.`connect(CDOSession session)`
Obtains a view in which to open the security resource for editing.
`CDOView`
ISecurityManagementContext.Default.`connect(CDOSession session)`
Methods in org.eclipse.emf.cdo.security.ui with parameters of type CDOView
Modifier and Type
Method
Description
`void`
ISecurityManagementContext.Default.`disconnect(CDOView view)`
`void`
ISecurityManagementContext.`disconnect(CDOView view)`
Releases a `view` previously obtained from this context.
`CDOResource`
ISecurityManagementContext.Default.`getSecurityResource(CDOView view)`
`CDOResource`
ISecurityManagementContext.`getSecurityResource(CDOView view)`
Obtains the resource containing the security model for presentation in the Security Management editor.

## Uses of CDOView in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOView
Modifier and Type
Method
Description
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint)`
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint, boolean legacyModeEnabled)`
Deprecated.
As of 4.2 the legacy mode is always enabled, use `CDOServerUtil.openView(ISession, CDOBranchPoint)`.
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint, boolean legacyModeEnabled, CDORevisionProvider revisionProvider)`
Deprecated.
As of 4.2 the legacy mode is always enabled, use `CDOServerUtil.openView(ISession, CDOBranchPoint, CDORevisionProvider)`.
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint, CDORevisionProvider revisionProvider)`
`static CDOView`
CDOServerUtil.`openView(IStoreAccessor.CommitContext commitContext)`
`static CDOView`
CDOServerUtil.`openView(IStoreAccessor.CommitContext commitContext, boolean legacyModeEnabled)`
Deprecated.
As of 4.2 the legacy mode is always enabled, use `CDOServerUtil.openView(IStoreAccessor.CommitContext)`.
`static CDOView`
CDOServerUtil.`openView(IView view)`
`static CDOView`
CDOServerUtil.`openView(IView view, boolean legacyModeEnabled)`
Deprecated.
As of 4.2 the legacy mode is always enabled, use `CDOServerUtil.openView(IView)`.
Methods in org.eclipse.emf.cdo.server with parameters of type CDOView
Modifier and Type
Method
Description
`static ISession`
CDOServerUtil.`getServerSession(CDOView view)`
`static IView`
CDOServerUtil.`getServerView(CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOExtentCreator.`getView()`
Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDOView
Modifier and Type
Method
Description
`protected boolean`
OCLQueryHandler.`addResult(Object result, IQueryContext context, CDOView view)`
`protected CDOExtentMap`
OCLQueryHandler.`createExtentMap(CDOView view, CDOChangeSetData changeSetData, IQueryContext context)`
`protected org.eclipse.ocl.OCL<?,EClassifier,?,?,?,?,?,?,?,org.eclipse.ocl.ecore.Constraint,EClass,EObject>`
OCLQueryHandler.`createOCL(CDOView view, CDOExtentMap extentMap)`
`protected org.eclipse.ocl.Query<EClassifier,EClass,EObject>`
OCLQueryHandler.`createQuery(CDOView view, CDOQueryInfo info, OCLQueryHandler.ContextParameter contextParameter, org.eclipse.ocl.OCL<?,EClassifier,?,?,?,?,?,?,?,org.eclipse.ocl.ecore.Constraint,EClass,EObject> ocl)`
`protected OCLQueryHandler.ContextParameter`
OCLQueryHandler.`getContextParameter(CDOQueryInfo info, CDOView view)`
`protected CDORevision`
OCLQueryHandler.`getRevision(EObject object, CDOView view)`
Constructors in org.eclipse.emf.cdo.server.ocl with parameters of type CDOView
Modifier
Constructor
Description
``
`CDOExtentCreator(CDOView view)`
``
`ContextParameter(CDOView view, CDOQueryInfo info)`
``
`Lazy(CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOSessionLocksChangedEvent.`getSender()`
Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.
`CDOView`
CDOSessionInvalidationEvent.`getView()`
Deprecated.
Use `CDOSessionInvalidationEvent.getLocalTransaction()`.

## Uses of CDOView in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOView
Modifier and Type
Method
Description
`protected final CDOView`
ObjectWriteAccessHandler.`getView()`

## Uses of CDOView in org.eclipse.emf.cdo.transaction

Subinterfaces of CDOView in org.eclipse.emf.cdo.transaction
Modifier and Type
Interface
Description
`interface`
`CDOTransaction`
A read-write view to the current (i.e.
Classes in org.eclipse.emf.cdo.transaction that implement CDOView
Modifier and Type
Class
Description
`class`
`CDOPushTransaction`
A `transaction` that persists changes to the object graph locally on commit and can later load these changes and push them to the `repository`.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOView
Modifier and Type
Method
Description
`void`
CDOMerger2.`merge(CDOTransaction localTransaction, CDOView remoteView, Set<CDOID> affectedIDs)`

## Uses of CDOView in org.eclipse.emf.cdo.transfer.spi.repository

Methods in org.eclipse.emf.cdo.transfer.spi.repository that return CDOView
Modifier and Type
Method
Description
`CDOView`
RepositoryTransferSystem.`getView()`
Constructors in org.eclipse.emf.cdo.transfer.spi.repository with parameters of type CDOView
Modifier
Constructor
Description
``
`RepositoryTransferSystem(CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOEditorInput.`getView()`
Returns the CDOView associated with this CDOEditorInput
`CDOView`
CDOEventHandler.`getView()`
`CDOView`
CDOLabelProvider.`getView()`
`final CDOView`
CDOTreeExpansionAgent.`getView()`
`CDOView`
CDOEditorInput3.`openView(IProgressMonitor progressMonitor)`
Opens the CDOView associated with this CDOEditorInput
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOView
Modifier and Type
Method
Description
`static CDOEditorInput`
CDOEditorUtil.`createCDOEditorInput(CDOView view, String resourcePath, boolean viewOwned)`
Returns an implementation of the CDOEditorInput interface.
`static CDOEditorInput`
CDOEditorUtil.`createCDOEditorInputWithEditingDomain(CDOView view, String resourcePath, boolean viewOwned, EditingDomain editingDomain)`
Creates a `CDOEditorInput` that adapts to the `IEditingDomainProvider` interface to provide a particular `editingDomain`.
`void`
CDOItemProvider.`fillView(IMenuManager manager, CDOView view)`
`static IEditorReference[]`
CDOEditorUtil.`findEditor(IWorkbenchPage page, CDOView view, String resourcePath)`
Returns references to open instances of `CDOEditor` with given `CDOView`, resource path, and object ID.
`static IEditorReference[]`
CDOEditorUtil.`findEditor(IWorkbenchPage page, CDOView view, String resourcePath, CDOID objectID)`
Returns references to open instances of `CDOEditor` with given `CDOView`, resource path, and object ID.
`static Image`
CDOItemProvider.`getViewImage(CDOView view)`
`static ImageDescriptor`
CDOItemProvider.`getViewImageDescriptor(CDOView view)`
`static void`
CDOEditorUtil.`openEditor(IWorkbenchPage page, CDOView view, String resourcePath)`
Opens the specified resource in CDOEditor
`static void`
CDOEditorUtil.`refreshEditors(IWorkbenchPage page, CDOView view)`
Refreshes all editor's viewers that are using certain CDOView.
Constructors in org.eclipse.emf.cdo.ui with parameters of type CDOView
Modifier
Constructor
Description
``
`CDOEventHandler(CDOView view, TreeViewer treeViewer)`
``
`CDOInvalidRootAgent(CDOView view)`
``
`CDOLabelProvider(AdapterFactory adapterFactory, CDOView view, TreeViewer viewer)`
``
`CDOTreeExpansionAgent(CDOView view, TreeViewer viewer)`

## Uses of CDOView in org.eclipse.emf.cdo.ui.compare

Methods in org.eclipse.emf.cdo.ui.compare with parameters of type CDOView
Modifier and Type
Method
Description
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs)`
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, org.eclipse.emf.compare.Comparison comparison)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOCompareEditorUtil.Input input, CDOView rightView)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOViewOpener viewOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOViewOpener viewOpener, CDOTransactionOpener transactionOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOView leftView, CDOView rightView, CDOView[] originView)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOViewOpener viewOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView, boolean activate)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOViewOpener viewOpener, CDOTransactionOpener transactionOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView, boolean activate)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs, boolean activate)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOView leftView, CDOView rightView, CDOView[] originView, boolean activate)`

## Uses of CDOView in org.eclipse.emf.cdo.ui.widgets

Methods in org.eclipse.emf.cdo.ui.widgets with parameters of type CDOView
Modifier and Type
Method
Description
`void`
TimeSlider.`connect(CDOView view, TreeViewer viewer)`

## Uses of CDOView in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOView
Modifier and Type
Method
Description
`static CDOView`
CDOUtil.`getView(Notifier notifier)`
`static CDOView`
CDOUtil.`getView(ResourceSet resourceSet, URI uri)`
Methods in org.eclipse.emf.cdo.util with parameters of type CDOView
Modifier and Type
Method
Description
`static void`
CDOUtil.`configureView(CDOView view)`
`static URI`
CDOURIUtil.`createResourceURI(CDOView view, String path)`
`static void`
CDOUtil.`load(EObject eObject, CDOView view)`
`static CDOObject`
CDOUtil.`wrapExternalObject(EObject object, CDOView view)`

## Uses of CDOView in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOView.Options.`getContainer()`
Returns the `view` of this options object.
`CDOView`
CDOViewLocksChangedEvent.`getSender()`
Returns the view that caused the lock changes if this view is local, or `null` if the view was remote.
`CDOView`
CDOViewEvent.`getSource()`
`CDOView`
CDOViewEventProducer.CDOObjectStateChangedEvent.`getSource()`
`final CDOView`
CDOPrefetcherManager.Prefetcher.`getView()`
`CDOView`
CDOQuery.`getView()`
Returns the `view` this query was created by and is associated with.
`final CDOView`
CDORegistrationHandler.Default.`getView()`
`CDOView`
CDOUnitManager.`getView()`
`CDOView`
CDOViewContainer.`getView(int viewID)`
`CDOView`
CDOViewProvider.`getView(URI uri, ResourceSet resourceSet)`
Receives a URI and returns an opened `CDOView` against the repository.
`CDOView`
CDOViewRegistry.`getView(int id)`
Returns the `view` with the given `ID` if it is registered, `null` otherwise.
`CDOView`
CDOViewRegistry.Registration.`getView()`
Returns the `CDOView` of this registration.
`CDOView[]`
CDOViewContainer.`getViews()`
Returns an array of all open `views` and `transactions` of this session.
`CDOView[]`
CDOViewContainer.`getViews(CDOBranch branch)`
Returns an array of all `views` and `transactions` of this session that are open on the given branch.
`CDOView[]`
CDOViewRegistry.`getViews()`
Returns all registered `views`.
`CDOView[]`
CDOViewSet.`getViews()`
`CDOView`
CDOViewContainer.`openView()`
Opens and returns a new `view` on a new EMF `resource set`.
`CDOView`
CDOViewContainer.`openView(long timeStamp)`
Opens and returns a new `view` on a new EMF `resource set`.
`CDOView`
CDOViewContainer.`openView(String durableLockingID)`
Opens and returns a `view` on a new EMF `resource set` by resuming a view that has previously been made durable by calling `CDOView.enableDurableLocking(true)`.
`CDOView`
CDOViewContainer.`openView(CDOBranch branch)`
Opens and returns a new `view` on a new EMF `resource set`.
`CDOView`
CDOViewContainer.`openView(CDOBranch branch, long timeStamp)`
Opens and returns a new `view` on a new EMF `resource set`.
`CDOView`
CDOViewContainer.`openView(CDOBranch branch, long timeStamp, ResourceSet resourceSet)`
Opens and returns a new `view` on the given EMF `resource set`.
`CDOView`
CDOViewContainer.`openView(CDOBranchPoint target)`
Opens and returns a new `view` on a new EMF `resource set`.
`CDOView`
CDOViewContainer.`openView(ResourceSet resourceSet)`
Opens and returns a new `view` on the given EMF `resource set`.
`CDOView`
CDOViewOpener.`openView(String durableLockingID, ResourceSet resourceSet)`
Opens and returns a `view` on the given EMF `resource set` by resuming a view that has previously been made durable by calling `CDOView.enableDurableLocking(true)`.
`CDOView`
CDOViewOpener.`openView(CDOBranchPoint target, ResourceSet resourceSet)`
Opens and returns a new `view` on the given EMF `resource set`.
`CDOView`
CDOViewProviderRegistry.`provideView(URI uri, ResourceSet viewSet)`
Returns a `view` that serves the given URI in the given `view set`, or `null` if no `view provider` in this registry can provide such a view.
`CDOView`
CDOViewSet.`resolveView(String repositoryUUID)`
Deprecated.
As of 4.4 use `CDOViewSet.resolveView(URI)`.
`CDOView`
CDOViewSet.`resolveView(URI viewURI)`
Methods in org.eclipse.emf.cdo.view that return types with arguments of type CDOView
Modifier and Type
Method
Description
`org.eclipse.net4j.util.collection.Pair<CDOView,CDOViewProvider>`
CDOViewProviderRegistry.`provideViewWithInfo(URI uri, ResourceSet resourceSet)`
Deprecated.
As of 4.4.
Methods in org.eclipse.emf.cdo.view with parameters of type CDOView
Modifier and Type
Method
Description
`void`
CDOViewConfigurator.`configureView(CDOView view)`
`protected CDOPrefetcherManager.Prefetcher`
CDOPrefetcherManager.`createPrefetcher(CDOView view)`
`protected void`
CDORegistrationHandler.Default.`doDispose(CDOView view)`
`protected void`
CDORegistrationHandler.Default.`doInitialize(CDOView view)`
`int`
CDOViewRegistry.`getID(CDOView view)`
Returns the `ID` of the given `view` if it is registered, 0 otherwise.
`final CDOPrefetcherManager.Prefetcher`
CDOPrefetcherManager.`getPrefetcher(CDOView view)`
`URI`
AbstractCDOViewProvider.`getResourceURI(CDOView view, String path)`
Must be overridden for non-canonical URI formats!
`URI`
CDOViewProvider.`getResourceURI(CDOView view, String path)`
`URI`
AbstractCDOViewProvider.`getViewURI(CDOView view)`
`URI`
CDOViewProvider.CDOViewProvider2.`getViewURI(CDOView view)`
`void`
CDORegistrationHandler.Default.`objectCollected(CDOView view, CDOID id)`
Called by the view for each garbage-collected object.
`void`
CDORegistrationHandler.`objectCollected(CDOView view, CDOID id)`
`void`
CDORegistrationHandler.Default.`objectDeregistered(CDOView view, CDOObject object)`
Called by the view for each deregistered object.
`void`
CDORegistrationHandler.`objectDeregistered(CDOView view, CDOObject object)`
`void`
CDORegistrationHandler.Default.`objectRegistered(CDOView view, CDOObject object)`
Called by the view for each registered object.
`void`
CDORegistrationHandler.`objectRegistered(CDOView view, CDOObject object)`
`void`
CDOObjectHandler.`objectStateChanged(CDOView view, CDOObject object, CDOState oldState, CDOState newState)`
`void`
CDOStaleReferencePolicy.DynamicProxy.Enhanced.`objectStateChanged(CDOView view, CDOObject object, CDOState oldState, CDOState newState)`
`protected void`
CDOPrefetcherManager.`viewAdded(CDOView view)`
`protected void`
CDOViewSetHandler.`viewAdded(CDOView view)`
Subclasses may override.
`protected void`
CDOPrefetcherManager.`viewChanged(CDOView view, CDOBranchPoint oldBranchPoint, CDOBranchPoint newBranchPoint)`
`protected void`
CDOViewSetHandler.`viewChanged(CDOView view, CDOBranchPoint oldBranchPoint, CDOBranchPoint newBranchPoint)`
Subclasses may override.
`protected void`
CDOPrefetcherManager.`viewRemoved(CDOView view)`
`protected void`
CDOViewSetHandler.`viewRemoved(CDOView view)`
Subclasses may override.
Constructors in org.eclipse.emf.cdo.view with parameters of type CDOView
Modifier
Constructor
Description
``
`CDOLockStatePrefetcher(CDOView view)`
``
`CDOLockStatePrefetcher(CDOView view, boolean asyncUpdate)`
``
`Default(CDOView view)`
``
`Enhanced(CDOView view)`
``
`Prefetcher(CDOView view, boolean prefetchLockStates)`
``
`Prefetcher(CDOView view, CDOID rootID, boolean prefetchLockStates)`

## Uses of CDOView in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return CDOView
Modifier and Type
Method
Description
`CDOView`
CDOWorkspace.`openView()`
`CDOView`
CDOWorkspace.`openView(ResourceSet resourceSet)`

## Uses of CDOView in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo with parameters of type CDOView
Modifier and Type
Method
Description
`final void`
CDOObjectImpl.`cdoInternalSetView(CDOView view)`

## Uses of CDOView in org.eclipse.emf.spi.cdo

Subinterfaces of CDOView in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOTransaction`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDOView`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return CDOView
Modifier and Type
Method
Description
`CDOView`
AbstractQueryIterator.`getView()`
`CDOView`
CDOChangeSubscriptionAdapter.`getView()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOView
Modifier and Type
Method
Description
`static InternalCDOObject`
FSMUtil.`adapt(Object object, CDOView view)`
`void`
InternalCDOObject.`cdoInternalSetView(CDOView view)`
`String`
CDOSessionProtocol.`changeLockArea(CDOView view, boolean create)`
`protected abstract Object`
ViewResourceSetConfigurer.`configureViewResourceSet(ResourceSet resourceSet, CDOView view)`
`boolean`
CDOSessionProtocol.`isObjectLocked(CDOView view, CDOObject object, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean byOthers)`
`void`
CDOSessionProtocol.`query(CDOView view, AbstractQueryIterator<?> queryResult)`
`void`
CDOSessionProtocol.`unlockObjects(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)`
Deprecated.
`CDOSessionProtocol.UnlockObjectsResult`
CDOSessionProtocol.`unlockObjects2(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOView
Modifier
Constructor
Description
``
`AbstractQueryIterator(CDOView view, CDOQueryInfo queryInfo)`
``
`CDOChangeSubscriptionAdapter(CDOView view)`